Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class BackupView

    java.lang.Object
      com.digi.config.ui.ConfigViewImpl
          com.digi.config.ui.BackupView

All Implemented Interfaces:
  ConfigView

public class BackupView
extends ConfigViewImpl

This class is a view panel that allow users to backup and restore device settings for the ConnectMe device This view can be embedded in other panels as desired.

Field Summary
`(package private) javax.swing.JButton` | `backup_UIC`
`(package private) com.digi.config.ui.GridContentPanel` | `backupContent`
`(package private) javax.swing.JButton` | `browse_UIC`
`(package private) com.digi.config.ui.GridContentPanel` | `content` Panel that holds the view content
`(package private) javax.swing.JButton` | `restore_UIC`
`(package private) com.digi.config.ui.GridContentPanel` | `restoreContent`
`(package private) javax.swing.JTextField` | `restoreFileName_UIC`
`(package private) com.digi.config.core.DeviceChangeListener` | `settingChangeListener` listens to the device for changes to settings
`(package private) com.digi.config.core.KvpNode` | `viewSettingTree` A KvpNode that holds just the settings used in this view

Fields inherited from class com.digi.config.ui.ConfigViewImpl
`active, cancelChangesAction, device, editView, heading, includeSettingsFields, includeStateFields, refreshAction, saveChangesAction, viewHelpAction, viewIndex`

Constructor Summary
`BackupView()` Basic constructor.

Method Summary
`void` | `activate()` This method is called to instruct the view that it is about to be made active.
`void` | `cancelChanges()` Instructs the view to discard any changes the user has made within the view and revert those fields to the original state.
`void` | `commitChanges()` Instructs the view to consider any user changes within the view as saved to the device (ie committed).
`void` | `deactivate()` This method is called to instruct the view that it is about to be made inactive.
`void` | `doBackupAction()` Backup data to a device configuration data file
`void` | `doBrowseAction()` Locate a device configuration data file
`void` | `doRestoreAction()` Restore a device configuration data file
`void` | `getChanges(com.digi.config.core.KvpNode settingCluster, com.digi.config.core.KvpNode stateCluster)` This method instructs the view to place any changes the user has made within the view into the provided clusters.
`java.lang.String` | `getName()` Returns a one word name identifying this view.
`java.awt.Component` | `getViewButtons()` Returns the Component that displays the buttons below the view.
`java.awt.Component` | `getViewContent()` Return the Component that displays the primary content for this view
`boolean` | `isChanged()` Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).
`void` | `setDevice(com.digi.config.core.Device device)` Informs view what device to work with.

Methods inherited from class com.digi.config.ui.ConfigViewImpl
`createEmailDocument, createGeneralDocument, createIntegerDocument, createNetworkAddressDocument, doCancelChangesAction, doRefreshAction, doSaveChangesAction, doViewHelpAction, getHelpResource, getViewHeading, initializeActions, setIncludeSettingsFields, setIncludeStateFields, setViewIndex, validateChanges`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewSettingTree

    com.digi.config.core.KvpNode viewSettingTree

  A KvpNode that holds just the settings used in this view

### settingChangeListener

    com.digi.config.core.DeviceChangeListener settingChangeListener

  listens to the device for changes to settings

### content

    com.digi.config.ui.GridContentPanel content

  Panel that holds the view content

### backupContent

    com.digi.config.ui.GridContentPanel backupContent

### restoreContent

    com.digi.config.ui.GridContentPanel restoreContent

### restoreFileName_UIC

    javax.swing.JTextField restoreFileName_UIC

### backup_UIC

    javax.swing.JButton backup_UIC

### browse_UIC

    javax.swing.JButton browse_UIC

### restore_UIC

    javax.swing.JButton restore_UIC

Constructor Detail

### BackupView

    public BackupView()
               throws java.lang.Exception

  Basic constructor. Sets up the tree view and the edit panel.

Method Detail

### doBackupAction

    public void doBackupAction()

  Backup data to a device configuration data file

### doBrowseAction

    public void doBrowseAction()

  Locate a device configuration data file

### doRestoreAction

    public void doRestoreAction()

  Restore a device configuration data file

### getName

    public java.lang.String getName()

  Returns a one word name identifying this view.

### getViewContent

    public java.awt.Component getViewContent()

  Return the Component that displays the primary content for this view

### getViewButtons

    public java.awt.Component getViewButtons()

  Returns the Component that displays the buttons below the view. If this view has no buttons to display this method returns null.

  Specified by:
    `getViewButtons` in interface `ConfigView`
  Overrides:
    `getViewButtons` in class `ConfigViewImpl`

### setDevice

    public void setDevice(com.digi.config.core.Device device)

  Informs view what device to work with. View should flush any cached device data and mark current view content as invalid so that it is refreshed appropriatly.

  Specified by:
    `setDevice` in interface `ConfigView`
  Overrides:
    `setDevice` in class `ConfigViewImpl`

### activate

    public void activate()

  This method is called to instruct the view that it is about to be made active. When a view is active it needs to make sure its content is correct. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `activate` in interface `ConfigView`
  Overrides:
    `activate` in class `ConfigViewImpl`

### deactivate

    public void deactivate()

  This method is called to instruct the view that it is about to be made inactive. When a view is inactive, it does not need to worry about maintaining its content in a correct state. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `deactivate` in interface `ConfigView`
  Overrides:
    `deactivate` in class `ConfigViewImpl`

### isChanged

    public boolean isChanged()

  Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).

### getChanges

    public void getChanges(com.digi.config.core.KvpNode settingCluster,
                           com.digi.config.core.KvpNode stateCluster)

  This method instructs the view to place any changes the user has made within the view into the provided clusters. Once the changes have been saved to to the device, a subsequent call to commitChanges() will be made.

### commitChanges

    public void commitChanges()

  Instructs the view to consider any user changes within the view as saved to the device (ie committed).

### cancelChanges

    public void cancelChanges()

  Instructs the view to discard any changes the user has made within the view and revert those fields to the original state. The view is also free to refresh all its fields to the present cached state of the device at this time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.